### Hierarchy

- default
  - gmfLidarFooter

## Index

### Constructors

- constructor

### Properties

- bootstrapStyle
- bootstrapVarStyle
- commonStyle
- fontawesomeStyle
- resetStyle
- styles

### Methods

- closePanel
- connectedCallback
- disconnectedCallback
- initConfig
- mozRequestFullScreen
- mozRequestFullScreenWithKeys
- msRequestFullscreen
- render
- webkitRequestFullscreen

## Constructors

### constructor

- new gmfLidarFooter(): gmfLidarFooter

- Inherited from default.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:487

  #### Returns gmfLidarFooter

## Properties

### Static bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### Static bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### Static commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### Static fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### Static resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### Static styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in src/lidar/FooterElement.ts:59

## Methods

### closePanel

- closePanel(): void

- - Defined in src/lidar/FooterElement.ts:152

  Reset the line and close the footer

  #### Returns void

### connectedCallback

- connectedCallback(): void

- Overrides default.connectedCallback

  - Defined in src/lidar/FooterElement.ts:38

  #### Returns void

### disconnectedCallback

- disconnectedCallback(): void

- Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

  #### Returns void

### initConfig

- initConfig(configuration: Configuration): void

- Overrides GmfBaseElement.initConfig

  - Defined in src/lidar/FooterElement.ts:53

  #### Parameters

  - ##### configuration: Configuration

  #### Returns void

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

  #### Returns Promise<void>

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

  #### Returns Promise<void>

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

  #### Returns Promise<void>

### render

- render(): TemplateResult<ResultType>

- Overrides GmfBaseElement.render

  - Defined in src/lidar/FooterElement.ts:127

  #### Returns TemplateResult<ResultType>

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

  #### Parameters

  - ##### Optional allowKeyboardInput: number

  #### Returns Promise<void>

Generated using TypeDoc